package sk.kasv.schmidt.javafx.worldx_gui.API;

import java.io.IOException;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

import org.json.JSONObject;

public class ApiCaller {
    public static double getTemperature(String city, String countryCode3) {
        if (city.contains(" ")) {
            city = city.replace(" ", "%20");
        }
        var uri = URI.create("https://api.openweathermap.org/data/2.5/weather?q="+city+","+countryCode3+"&units=metric&appid=e87d429814426dd37aaf988ea289b362");
        var client = HttpClient.newHttpClient();
        var request = HttpRequest
                .newBuilder()
                .uri(uri)
                .header("accept", "application/json")
                .GET()
                .build();
        HttpResponse<String> response;
        try {
            response = client.send(request, HttpResponse.BodyHandlers.ofString());
            int statusCode = response.statusCode();
            if (statusCode == 200) {
                JSONObject jsonResponse = new JSONObject(response.body());
                JSONObject main = jsonResponse.getJSONObject("main");
                double temperature = main.getDouble("temp");
                return temperature;
            } else {
                System.out.println("Request failed with status code: " + statusCode);
            }
        } catch (IOException | InterruptedException e) {
            e.printStackTrace();
        }
        return 0;
    }
}